Solution for 'Spirit requires iTunes 9 to function' error.

Discussion in 'iPod touch' started by v1dz, May 3, 2010.

  1. v1dz

    v1dz New Member

    Joined:
    Mar 12, 2009
    Messages:
    172
    Likes Received:
    0
    Device:
    3G iPod touch
    Hey,

    Many must have been getting this error while trying to use spirit jb. Got a solution here
    Even though you are on iTunes 9.x version it still pops out this error.

    Please Register or Log in to view images


    Here is the solution for it.

    Download Spirit Fixer by Kirma.
    Uploading directly here. Download from Attachment.

    1. Download the Fixer
    2. Run the Fixer
    3. Run Spirit And it should work.


    Check how to works
    http://www.youtube.com/watch?v=bqhRPhdDoQ8

    Thanks
    Regards

    Alternately check here

    Attached Files:

  2. 4NewHop3

    4NewHop3 Well-Known Member

    Joined:
    Sep 6, 2008
    Messages:
    5,443
    Likes Received:
    703
    Device:
    5G iPod touch
    This is released just when I jailbreak on my laptop instead of my desktop, oh boy. At least I'm jailbroken now so I don't have to worry. =P
  3. v1dz

    v1dz New Member

    Joined:
    Mar 12, 2009
    Messages:
    172
    Likes Received:
    0
    Device:
    3G iPod touch
    Lucky you..
  4. Tkf1

    Tkf1 Community Development Staff Member

    Joined:
    Oct 12, 2009
    Messages:
    17,397
    Likes Received:
    2,488
    Device:
    iPad mini
    I got this error then I ran it as administrator and I'm untethered now!
  5. JacobVengeance

    JacobVengeance Well-Known Member

    Joined:
    Apr 12, 2010
    Messages:
    3,697
    Likes Received:
    96
    Device:
    iPhone 4S (Black)
    Actually there is a simple fix instead of all of that. Just place it in
    "C:\Program Files\Common Files\Apple\Apple Application Support"

Share This Page